Bug 229857 - crash while browsing pictures
Summary: crash while browsing pictures
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Albums-Engine (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-07 18:50 UTC by Julien Narboux
Modified: 2017-08-08 11:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Narboux 2010-03-07 18:50:55 UTC
Application that crashed: digikam
Version of the application: 1.2.0 (rev.: 1099970)
KDE Version: 4.3.5 (KDE 4.3.5)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-19-generic x86_64
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
I was browsing picture quickly in preview mode, clicking on the thumbar.
I am using svn version of 1.2.0 of today under ubuntu.

I hope the trace is usefull.

Julien

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
The current source language is "auto; currently c".
[Current thread is 1 (Thread 0x7ff04039d750 (LWP 18751))]

Thread 21 (Thread 0x7ff02b22d910 (LWP 18752)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff0398f44fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x13be9d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x13be9d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x0000000000701d84 in Digikam::ScanController::run (this=0x13bd3b0) at /home/jnarboux/digikam-versions/graphics/digikam/digikam/scancontroller.cpp:516
#4  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x13bd3b0) at thread/qthread_unix.cpp:188
#5  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7ff029f4c910 (LWP 18768)):
#0  0x00007ff0330c333a in ?? () from /lib/libglib-2.0.so.0
#1  0x00007ff0330c36c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#2  0x00007ff039a021fe in QEventDispatcherGlib::processEvents (this=0x159b3c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#3  0x00007ff0399d8532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#4  0x00007ff0399d8904 in QEventLoop::exec (this=0x7ff029f4c030, flags=) at kernel/qeventloop.cpp:201
#5  0x00007ff0398f06cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#6  0x00007ff03ce68a46 in Digikam::ImageFilterModelWorker::Thread::run (this=0x14a9960)
    at /home/jnarboux/digikam-versions/graphics/build/digikam/digikam/../../../digikam/libs/models/imagefiltermodelthreads.h:66
#7  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x14a9960) at thread/qthread_unix.cpp:188
#8  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 19 (Thread 0x7ff028fc7910 (LWP 18769)):
#0  0x00007ff037bf60b2 in __pthread_mutex_lock (mutex=0x7ff024265d68) at pthread_mutex_lock.c:61
#1  0x00007ff0330c36a2 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#2  0x00007ff039a021fe in QEventDispatcherGlib::processEvents (this=0x7ff02426f8c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#3  0x00007ff0399d8532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#4  0x00007ff0399d8904 in QEventLoop::exec (this=0x7ff028fc7030, flags=) at kernel/qeventloop.cpp:201
#5  0x00007ff0398f06cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#6  0x00007ff03ce68a46 in Digikam::ImageFilterModelWorker::Thread::run (this=0x16ec770)
    at /home/jnarboux/digikam-versions/graphics/build/digikam/digikam/../../../digikam/libs/models/imagefiltermodelthreads.h:66
#7  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x16ec770) at thread/qthread_unix.cpp:188
#8  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7ff023fff910 (LWP 18770)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff0398f44fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1713e18, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1713e18, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff03d38eabc in Digikam::LoadSaveThread::run (this=0x1713e00) at /home/jnarboux/digikam-versions/graphics/digikam/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x1713e00) at thread/qthread_unix.cpp:188
#5  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 17 (Thread 0x7ff0237fe910 (LWP 18771)):
#0  0x00007ff038e4e3c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff0330c337c in ?? () from /lib/libglib-2.0.so.0
#2  0x00007ff0330c36c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007ff039a021fe in QEventDispatcherGlib::processEvents (this=0x1723850, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007ff0399d8532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007ff0399d8904 in QEventLoop::exec (this=0x7ff0237fe030, flags=) at kernel/qeventloop.cpp:201
#6  0x00007ff0398f06cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00000000006f8056 in Digikam::MetadataManagerWorker::Thread::run (this=0x17b8420)
    at /home/jnarboux/digikam-versions/graphics/build/digikam/digikam/../../../digikam/digikam/metadatamanager_p.h:143
#8  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x17b8420) at thread/qthread_unix.cpp:188
#9  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 16 (Thread 0x7ff022ffd910 (LWP 18772)):
#0  0xffffffffff600165 in ?? ()
#1  0x00007fff7d78e782 in ?? ()
#2  0x00007fff7d78e848 in clock_gettime ()
#3  0x00007ff032412fdf in *__GI_clock_gettime (clock_id=587189664, tp=0x7ff022ffcda0) at ../sysdeps/unix/clock_gettime.c:100
#4  0x00007ff039a03ccd in QTimerInfoList::getTime (this=<value optimized out>, t=...) at kernel/qeventdispatcher_unix.cpp:339
#5  0x00007ff039a03ec1 in QTimerInfoList::updateCurrentTime (this=0x7ff022ffcda0) at kernel/qeventdispatcher_unix.cpp:297
#6  0x00007ff039a048f3 in QTimerInfoList::timerWait (this=0x7ff022ffcda0, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#7  0x00007ff039a0237d in timerSourcePrepare (source=<value optimized out>, timeout=0x7ff022ffce9c) at kernel/qeventdispatcher_glib.cpp:141
#8  0x00007ff0330c2dba in g_main_context_prepare () from /lib/libglib-2.0.so.0
#9  0x00007ff0330c3191 in ?? () from /lib/libglib-2.0.so.0
#10 0x00007ff0330c36c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#11 0x00007ff039a021fe in QEventDispatcherGlib::processEvents (this=0x1719d90, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#12 0x00007ff0399d8532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#13 0x00007ff0399d8904 in QEventLoop::exec (this=0x7ff022ffd030, flags=) at kernel/qeventloop.cpp:201
#14 0x00007ff0398f06cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#15 0x00000000006f8056 in Digikam::MetadataManagerWorker::Thread::run (this=0x1723420)
    at /home/jnarboux/digikam-versions/graphics/build/digikam/digikam/../../../digikam/digikam/metadatamanager_p.h:143
#16 0x00007ff0398f3445 in QThreadPrivate::start (arg=0x1723420) at thread/qthread_unix.cpp:188
#17 0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#18 0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 15 (Thread 0x7ff018848910 (LWP 18773)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007ff020f1bc91 in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7ff01608c910 (LWP 18774)):
#0  0x00007ff038e53412 in select () from /lib/libc.so.6
#1  0x00007ff020f44725 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007ff020f297e9 in ?? () from /usr/lib/libxine.so.1
#3  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 13 (Thread 0x7ff01588b910 (LWP 18775)):
#0  0x00007ff0330c2acb in g_main_context_check () from /lib/libglib-2.0.so.0
#1  0x00007ff0330c3290 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007ff0330c36c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007ff039a021fe in QEventDispatcherGlib::processEvents (this=0x1e44cd0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007ff0399d8532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007ff0399d8904 in QEventLoop::exec (this=0x7ff01588b000, flags=) at kernel/qeventloop.cpp:201
#6  0x00007ff0398f06cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007ff02117656e in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x1e446d0) at thread/qthread_unix.cpp:188
#9  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 12 (Thread 0x7ff010c78910 (LWP 18781)):
#0  0x00007ff038e4e3c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff014e86cbe in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7ff014a73910 (LWP 18782)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff020f2c983 in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7ff011808910 (LWP 18792)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff0398f44fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x7feff410fb18, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7feff410fb18, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff03d38eabc in Digikam::LoadSaveThread::run (this=0x7feff410fb00) at /home/jnarboux/digikam-versions/graphics/digikam/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x7feff410fb00) at thread/qthread_unix.cpp:188
#5  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 9 (Thread 0x7ff012009910 (LWP 18799)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff0398f44fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x24ad828, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x24ad828, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff03d38eabc in Digikam::LoadSaveThread::run (this=0x24ad810) at /home/jnarboux/digikam-versions/graphics/digikam/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x24ad810) at thread/qthread_unix.cpp:188
#5  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7ff00f475910 (LWP 18800)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff0398f44fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2857dc8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2857dc8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff03d38eabc in Digikam::LoadSaveThread::run (this=0x2857db0) at /home/jnarboux/digikam-versions/graphics/digikam/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x2857db0) at thread/qthread_unix.cpp:188
#5  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7ff00ac74910 (LWP 18826)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff0398f44fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x36cda28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x36cda28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff03d38eabc in Digikam::LoadSaveThread::run (this=0x36cda10) at /home/jnarboux/digikam-versions/graphics/digikam/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x36cda10) at thread/qthread_unix.cpp:188
#5  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7ff010477910 (LWP 18827)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff0398f44fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x36cd978, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x36cd978, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff03d38eabc in Digikam::LoadSaveThread::run (this=0x36cd960) at /home/jnarboux/digikam-versions/graphics/digikam/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x36cd960) at thread/qthread_unix.cpp:188
#5  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7ff00c44a910 (LWP 18828)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff0398f44fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x7feff4082998, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7feff4082998, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff03d38eabc in Digikam::LoadSaveThread::run (this=0x7feff4082980) at /home/jnarboux/digikam-versions/graphics/digikam/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x7feff4082980) at thread/qthread_unix.cpp:188
#5  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fefe789f910 (LWP 18829)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff0398f44fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x4d9bb88, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x4d9bb88, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff03d38eabc in Digikam::LoadSaveThread::run (this=0x4d9bb70) at /home/jnarboux/digikam-versions/graphics/digikam/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x4d9bb70) at thread/qthread_unix.cpp:188
#5  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fefe52d4910 (LWP 18836)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff0398f44fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x7feff4370fc8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7feff4370fc8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff03d38eabc in Digikam::LoadSaveThread::run (this=0x7feff4370fb0) at /home/jnarboux/digikam-versions/graphics/digikam/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x7feff4370fb0) at thread/qthread_unix.cpp:188
#5  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fefd5c26910 (LWP 19079)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff0398f44fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x4c35138, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x4c35138, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff00b5b0e03 in KIPIPlugins::LoadRawThumbThread::run (this=0x62d9530) at /home/jnarboux/digikam-versions/graphics/kipi-plugins/common/libkipiplugins/dialogs/imagedialog.cpp:565
#4  0x00007ff0398f3445 in QThreadPrivate::start (arg=0x62d9530) at thread/qthread_unix.cpp:188
#5  0x00007ff037bf3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff038e5a80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff04039d750 (LWP 18751)):
[KCrash Handler]
#5  QBasicAtomicInt::ref (this=0x4bc4978) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#6  QList (this=0x4bc4978) at /usr/include/qt4/QtCore/qlist.h:111
#7  QForeachContainer (this=0x4bc4978) at /usr/include/qt4/QtCore/qglobal.h:2054
#8  KDirWatchPrivate::Entry::propagate_dirty (this=0x4bc4978) at ../../kio/kio/kdirwatch.cpp:399
#9  0x00007ff03be9146b in KDirWatchPrivate::Entry::propagate_dirty (this=<value optimized out>) at ../../kio/kio/kdirwatch.cpp:404
#10 0x00007ff03be98b27 in KDirWatchPrivate::slotRescan (this=0x143ab90) at ../../kio/kio/kdirwatch.cpp:1275
#11 0x00007ff03be996f4 in KDirWatchPrivate::qt_metacall (this=0x143ab90, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff7d6b3940) at ./kdirwatch_p.moc:73
#12 0x00007ff0399eeddc in QMetaObject::activate (sender=0x143abf8, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0xd) at kernel/qobject.cpp:3113
#13 0x00007ff0399e8d83 in QObject::event (this=0x143abf8, e=0x0) at kernel/qobject.cpp:1075
#14 0x00007ff03a56eefc in QApplicationPrivate::notify_helper (this=0x117e130, receiver=0x143abf8, e=0x7fff7d6b3f40) at kernel/qapplication.cpp:4056
#15 0x00007ff03a5761ce in QApplication::notify (this=0x7fff7d6b42f0, receiver=0x143abf8, e=0x7fff7d6b3f40) at kernel/qapplication.cpp:4021
#16 0x00007ff03b95ff46 in KApplication::notify (this=0x7fff7d6b42f0, receiver=0x143abf8, event=0x7fff7d6b3f40) at ../../kdeui/kernel/kapplication.cpp:302
#17 0x00007ff0399d9c2c in QCoreApplication::notifyInternal (this=0x7fff7d6b42f0, receiver=0x143abf8, event=0x7fff7d6b3f40) at kernel/qcoreapplication.cpp:610
#18 0x00007ff039a04862 in QCoreApplication::sendEvent (this=0x1181de0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#19 QTimerInfoList::activateTimers (this=0x1181de0) at kernel/qeventdispatcher_unix.cpp:572
#20 0x00007ff039a0225d in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:165
#21 0x00007ff0330bfbce in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#22 0x00007ff0330c3598 in ?? () from /lib/libglib-2.0.so.0
#23 0x00007ff0330c36c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#24 0x00007ff039a021a6 in QEventDispatcherGlib::processEvents (this=0x114b590, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#25 0x00007ff03a6034be in QGuiEventDispatcherGlib::processEvents (this=0x4bc4978, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#26 0x00007ff0399d8532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#27 0x00007ff0399d8904 in QEventLoop::exec (this=0x7fff7d6b41e0, flags=) at kernel/qeventloop.cpp:201
#28 0x00007ff0399daab9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#29 0x0000000000799de8 in main (argc=5, argv=0x7fff7d6b48e8) at /home/jnarboux/digikam-versions/graphics/digikam/digikam/main.cpp:195
The current source language is "auto; currently c".

Reported using DrKonqi
Comment 1 Johannes Wienke 2010-03-07 19:30:20 UTC

*** This bug has been marked as a duplicate of bug 222547 ***
Comment 2 caulier.gilles 2017-07-19 03:48:31 UTC
Problem not reproducible since digiKam 5.0.0 as KDirWatch has been ported to
QFileSystemWatcher